#!/usr/bin/env python
#-*- coding:utf-8 -*-
#==============================================================================
#  Copyright (C) 2010-2012 Schaefer & Tobies SuC GmbH.
#  Author: Markus Grimm <mgr@schaefer-tobies.de>
#
#  This file is part of Pyontapi.
#
#  Pyontapi is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  Pyontapi is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Pyontapi.  If not, see <http://www.gnu.org/licenses/>.
#
#==============================================================================

""" settings file. define ``NA_CONFIG`` here. """

from schtob.pyontapi import constants

# Define your NA_CONFIG here
NA_CONFIG = {
    'roles': {
        'default': {
            'user': 'root',
            'password': '',
            'style': constants.LOGIN,
        },
        'my-fancy-default-role': {
            'user': 'fancy-user',
        },
    },

    'filer-roles': {

        'my-fancy-filer': {
            'default': {
                'password': 'fancy-password',
            },
            'yet-another-fancy-role-only-for-this-filer': {
                'user': 'yet-another-fancy-user',
            },
        },

        'yet-anoter-fancy-filer': {
            'fancy-role': {
                'server_type': 'DFM',
            },
        },

    }
    #'vfiler': '',
    #'server_type': 'Filer',
    #'transport_type' : constants.HTTP,
    #'port': None,
    #'url': None,
}


def __import_local_settings():
    """
    tries to import ``NA_CONFIG`` from local_settings.py

    Only used for development.
    """

    try:
        return __import__('schtob.pyontapi.local_settings',
                          fromlist=['NA_CONFIG']).NA_CONFIG
    except ImportError:
        return None
    except AttributeError:
        return None

if __import_local_settings():
    NA_CONFIG = __import_local_settings()
